summaryrefslogtreecommitdiffstats
path: root/network/libnfsidmap
diff options
context:
space:
mode:
author pyllyukko <pyllyukko@maimed.org>2019-02-09 00:25:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-02-09 00:25:15 +0700
commitcb548bc6fca672b4349a0c8d061c52d4b0610ce6 (patch)
treeb6fe4977a72cd5b0a0e88532714ea5aa40fbd16a /network/libnfsidmap
parenteb94f40eda901a0c4f77d4f71649db2d9ebfea65 (diff)
downloadslackbuilds-cb548bc6fca672b4349a0c8d061c52d4b0610ce6.tar.gz
slackbuilds-cb548bc6fca672b4349a0c8d061c52d4b0610ce6.tar.xz
network/libnfsidmap: Added (NFS idmapping library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/libnfsidmap')
-rw-r--r--network/libnfsidmap/README2
-rw-r--r--network/libnfsidmap/doinst.sh14
-rw-r--r--network/libnfsidmap/libnfsidmap.SlackBuild105
-rw-r--r--network/libnfsidmap/libnfsidmap.info10
-rw-r--r--network/libnfsidmap/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/network/libnfsidmap/README b/network/libnfsidmap/README
new file mode 100644
index 0000000000..44ed36d6e0
--- /dev/null
+++ b/network/libnfsidmap/README
@@ -0,0 +1,2 @@
+libnfsidmap provides functions to map between NFSv4 names (which are of the
+form user@domain) and local uid's and gid's.
diff --git a/network/libnfsidmap/doinst.sh b/network/libnfsidmap/doinst.sh
new file mode 100644
index 0000000000..6e902b74af
--- /dev/null
+++ b/network/libnfsidmap/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/idmapd.conf.new
diff --git a/network/libnfsidmap/libnfsidmap.SlackBuild b/network/libnfsidmap/libnfsidmap.SlackBuild
new file mode 100644
index 0000000000..f9002deff0
--- /dev/null
+++ b/network/libnfsidmap/libnfsidmap.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for libnfsidmap
+
+# Copyright 2019 pyllyukko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libnfsidmap
+VERSION=${VERSION:-0.25}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-pluginpath=/usr/lib${LIBDIRSUFFIX}/libnfsidmap \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+install -D -m 0644 idmapd.conf $PKG/etc/idmapd.conf.new
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUILDING_FROM_CVS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/libnfsidmap/libnfsidmap.info b/network/libnfsidmap/libnfsidmap.info
new file mode 100644
index 0000000000..e4210a5188
--- /dev/null
+++ b/network/libnfsidmap/libnfsidmap.info
@@ -0,0 +1,10 @@
+PRGNAM="libnfsidmap"
+VERSION="0.25"
+HOMEPAGE="http://www.citi.umich.edu/projects/nfsv4/linux/"
+DOWNLOAD="http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/libnfsidmap-0.25.tar.gz"
+MD5SUM="2ac4893c92716add1a1447ae01df77ab"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko@maimed.org"
diff --git a/network/libnfsidmap/slack-desc b/network/libnfsidmap/slack-desc
new file mode 100644
index 0000000000..dd7adc6802
--- /dev/null
+++ b/network/libnfsidmap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libnfsidmap: libnfsidmap (NFS idmapping library)
+libnfsidmap:
+libnfsidmap: libnfsidmap provides functions to map between NFSv4 names (which are
+libnfsidmap: of the form user@domain) and local uid's and gid's.
+libnfsidmap:
+libnfsidmap:
+libnfsidmap:
+libnfsidmap:
+libnfsidmap:
+libnfsidmap: Homepage: http://www.citi.umich.edu/projects/nfsv4/linux/
+libnfsidmap: